petsc-3.4.2 2013-07-02

# MatInterpolateAdd

w = y + A*x or A'*x depending on the shape of the matrix

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatInterpolateAdd(Mat A,Vec x,Vec y,Vec w)

Neighbor-wise Collective on Mat

### Input Parameters

| mat | - the matrix
| x,y | - the vectors
| w | - where the result is stored

### Notes

w may be the same vector as y.

This allows one to use either the restriction or interpolation (its transpose) matrix to do the interpolation

### See Also

MatMultAdd(), MatMultTransposeAdd(), MatRestrict()

Level:intermediate
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages